<!DOCTYPE html>
<html lang="en">
<head>
#{title } Login Admin PPE #{/title}
    <meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/>
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=1024">
    <link rel="Shortcut Icon" href="#{assets '/images/4.3.png' /}" type="image/x-icon" />

    <link rel="stylesheet" href="https://unpkg.com/bootstrap@4.4.1/dist/css/bootstrap.min.css" type="text/css" media="screen" />
    <link rel="stylesheet" href="https://unpkg.com/font-awesome@4.7.0/css/font-awesome.min.css" type="text/css" media="screen" />
    <link rel="stylesheet" href="https://unpkg.com/bootstrap4-dialog@4.1.0/dist/css/bootstrap-dialog.min.css" type="text/css" media="screen" />
    <link rel="stylesheet" href="https://unpkg.com/bootstrap-select@1.13.12/dist/css/bootstrap-select.min.css" type="text/css" media="screen" />
    <link rel="stylesheet" href="#{assets '/css/application.css' /}" type="text/css" media="screen" />
    <link rel="stylesheet" href="#{assets '/css/strength.css' /}" type="text/css" media="screen" />

</head>

<body #{setBackground /} style="height: 100vh; min-height: 100vh;">
<!-- Pesan jika fitur javascript tidak diaktifkan -->
<noscript>
    <div class="alert alert-danger text-center">
        <h5>Untuk tampilan Aplikasi SPSE yang lebih baik, harap aktifkan fitur JavaScript pada browser Anda</h5>
    </div>
</noscript>
<div style="margin:0 auto;position: relative; top: 17vh;">
    <div id="main" class="container text-center">
        <div id="headerContent">
            <img alt="LPSE" src="#{assets '/images/imgng/lpse-logo.png' /}" />
        </div>
        <p></p>
        <center>
            <div class="card card-primary" style="width:300px;text-align: left;">
                <div class="card-body">
                    <div class="text-center">
                        <h5><b>LOGIN ADMIN PPE</b></h5>
                    </div><br>
                ${error}
                #{alert /}
                #{form @admin.Login2Ctr.login2Admin(), id:'formAdmin', method:'POST', autocomplete:'off'}
                    <input type="hidden" name="txtPassword" id="passw"/>
                    <input type="hidden" name="txtUserId" id="userid"/>
                    <input type="hidden" name="uniqid" id="uniqid" value="${uniqid}"/>
                    <div class="form-group">
                        <div class="input-group">
                            <div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-user"></i></span></div>
                            <input id="txtUserId" type="text" class="form-control #{validate 'txtUserId'/}" placeholder="User ID" value="${userid}" readonly="readonly" />
                            <div class="invalid-feedback">#{error 'txtUserId' /}</div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="input-group">
                            <div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-lock"></i></span></div>
                            <input id="txtPassword" type="password" placeholder="Password" class="form-control pwd #{validate 'txtPassword'/}" >
                            <div class="input-group-append reveal"><span class="input-group-text"><i class="fa fa-eye"></i></span></div>
                            <div class="invalid-feedback">#{error 'txtPassword' /}</div>
                        </div>
                    </div>
                    <p><input type="hidden" name="showKaptcha" value="${showKaptcha}">
                        <img alt="Kode keamanan..." src="@{PublikCtr.showCaptcha(randomID)}" /><br/>
                        Untuk menjamin keamanan, isikan Kode di atas!
                    </p>
                    <div class="form-group">
                        <div class="input-group">
                            <div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-unlock"></i></span></div>
                            <input id="txtCode" name="txtCode" type="text" placeholder="Kode" class="form-control #{validate 'txtCode'/}" >
                            <div class="invalid-feedback">#{error 'txtCode' /}</div>
                        </div>
                    </div>
                    <p>Jika Anda kesulitan membaca Kode di atas,<br><a href="@{admin.Login2Ctr.loginPassword()}">klik di sini</a> untuk mengganti Kode baru.<br/>
                        <!--Perhatikan penulisan huruf kapital kode diatas! <br/>-->
                        <span class="form-text"></span>
                        <input name="hidRandomID" type="hidden" value="${randomID}" />
                    <div class="form-group">
                        <button class="btn btn-success btn-block" type="submit">Login</button>
                    </div>
                    <div class="col-md-offset-4" align="center">
                        Kembali ke <a href="@{controllers.PublikCtr.index()}">Beranda</a>
                    </div>
                #{/form}
                </div>
            </div>
        </center>
    </div>
</div>
*{**********************************************************************************************
III.FOOTER
***********************************************************************************************}*
*{<div id="footer">}*
*{    <div class="container">}*
*{        }*
*{    </div>}*
*{</div>}*
*{**********************************************************************************************
IV.JAVASCRIPT
javascript diletakkan dibawah content untuk alasan peningkatan performance
***********************************************************************************************}*
<script type="text/javascript" src="https://unpkg.com/jquery@3.4.1/dist/jquery.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/popper.js@1.16.1/dist/umd/popper.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/bootstrap@4.4.1/dist/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/bootstrap4-dialog@4.1.0/dist/js/bootstrap-dialog.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/bootstrap-select@1.13.12/dist/js/bootstrap-select.min.js"></script>
<script type="text/javascript" src="#{assets '/js/jquery.jclock.min.js'/}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery-cookie/1.4.1/jquery.cookie.min.js"></script>
<script type="text/javascript" src="#{assets '/js/common.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/strength.js'/}" charset="utf-8"></script>
<script type="text/javascript" src="#{assets '/js/tus/tus.js'/}" charset="utf-8"></script>
<script type="text/javascript" src="#{assets '/js/resumeable-upload.js'/}" charset="utf-8"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery.maskedinput/1.4.1/jquery.maskedinput.min.js" charset="utf-8"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery.webticker/3.0.0/jquery.webticker.min.js" charset="utf-8"></script>
<!--[if lt IE 9]>
<script type="text/javascript" src="https://unpkg.com/html5shiv@3.7.3/dist/html5shiv.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
<script type="text/javascript" src="#{assets '/js/aes.js' /}"></script>
<script type="text/javascript" src="#{assets '/js/pbkdf2.js' /}"></script>
<script type="text/javascript" src="#{assets '/js/AesUtil.js' /}"></script>
<script type="text/javascript">
    $(document).ready(function () {
        $('#formAdmin').submit(function(){
            var pass = $('#txtPassword').val();
            var userid = $('#txtUserId').val();
            if(pass!=null) {
                var aesUtil = new AesUtil(256, 1000);
                var cipherPass = aesUtil.encrypt('${salt}', '${iv}', '${token}', pass);
                var cipherUser = aesUtil.encrypt('${salt}', '${iv}', '${token}', userid);
                $('#passw').val(cipherPass);
                $('#userid').val(cipherUser);
            }
        });
    });

    $(".reveal").on('click',function() {
        var $pwd = $(".pwd");
        if ($pwd.attr('type') === 'password') {
            $pwd.attr('type', 'text');
        } else {
            $pwd.attr('type', 'password');
        }
    });
</script>

<script type="text/javascript">
    $(document).ready(function () {

    #{if flash.error}
        $("#login").trigger("click");
        $("#txtUserId").focus();
    #{/if}
    });
</script>
</body>
</html>